/* ---------------------------------------------------------- */
/* @(#) KRV.SQL V100                */
/* ---------------------------------------------------------- */
/* Product Provided Situations and Templates for              */
/* Advanced Backup and Recovery Monitoring Agent  */
/*                                                            */
/* Licensed Materials - Property of IBM                       */
/* Copyright IBM Corp. 2005, 2013 All Rights Reserved               */
/* US Government Users Restricted Rights - Use, duplication or*/
/* disclosure restricted by GSA ADP Schedule Contract with    */
/* IBM Corp.                                                  */
/*                                                            */
/* Warning: this file contains ascii binary data that cannot  */
/*          be ftp'ed as TEXT between ascii and ebcdic hosts. */
/* ---------------------------------------------------------- */


/* Tasks */

DELETE FROM O4SRV.CCT
WHERE KEY = "KRV_APPLICATION_BACKUP";

DELETE FROM O4SRV.CCT
WHERE KEY = "KRV_CBTI_DSN_LIST";

DELETE FROM O4SRV.CCT
WHERE KEY = "KRV_CBTI_DSN_LIST_WITH_EXCLUDE";

/* Situations */
DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*IBM_KRV"
 AND OBJNAME = "KRV_App_Events_Backup_NE_0"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KRV_App_Events_Backup_NE_0"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*IBM_KRV"
 AND OBJNAME = "KRV_App_Events_Util_NE_0"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KRV_App_Events_Util_NE_0"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*IBM_KRV"
 AND OBJNAME = "KRV_Full_Vol_Dump_Bkup_NE_0"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KRV_Full_Vol_Dump_Bkup_NE_0"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*IBM_KRV"
 AND OBJNAME = "KRV_Full_Vol_Dump_Util_NE_0"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KRV_Full_Vol_Dump_Util_NE_0"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*IBM_KRV"
 AND OBJNAME = "KRV_CBTI_App_Events_Bkup_NE_0"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KRV_CBTI_App_Events_Bkup_NE_0"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*IBM_KRV"
 AND OBJNAME = "KRV_CBTI_App_Events_Util_NE_0"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KRV_CBTI_App_Events_Util_NE_0"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*IBM_KRV"
 AND OBJNAME = "KRV_ABM_CBTI_Events_Bkup_NE_0"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KRV_ABM_CBTI_Events_Bkup_NE_0"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*IBM_KRV"
 AND OBJNAME = "KRV_ABM_CBTI_Events_Util_NE_0"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KRV_ABM_CBTI_Events_Util_NE_0"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*IBM_KRV"
 AND OBJNAME = "KRV_ABM_Events_Bkup_NE_0"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KRV_ABM_Events_Bkup_NE_0"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*IBM_KRV"
 AND OBJNAME = "KRV_ABM_Events_Util_NE_0"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KRV_ABM_Events_Util_NE_0"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*IBM_KRV"
 AND OBJNAME = "KRV_CBTI_Events_Bkup_NE_0"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KRV_CBTI_Events_Bkup_NE_0"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*IBM_KRV"
 AND OBJNAME = "KRV_CBTI_Events_Util_NE_0"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KRV_CBTI_Events_Util_NE_0"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

